package com.itbaizhan.dao;


import com.itbaizhan.pojo.Student;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface StudentDao {

    //查询所有学生(编写mybatis)
    @Select("select * from student")
    List<Student> findAll();

    //添加一个学生
    @Insert("insert into student values(null,#{name},#{sex},#{address})")
    void add(Student student);
}
