package com.itbaizhan.service;


import com.itbaizhan.dao.StudentDao;
import com.itbaizhan.pojo.Student;
import org.mybatis.spring.SqlSessionTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class StudentService {

    @Autowired
    private SqlSessionTemplate sqlSession;

    //使用SqlSession获取到代理对象，操作数据库
    public List<Student> findAllStudent(){
        StudentDao studentDao = sqlSession.getMapper(StudentDao.class);
        return studentDao.findAll();
    }
}
