package com.itbaizhan.service;


import com.itbaizhan.pojo.Student;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

//junit使用spring的方式运行代码，即：自动创建spring容器
@RunWith(SpringJUnit4ClassRunner.class)

//spring容器创建时，读取的配置文件或配置类（配置类：@ContextConfiguration（classes=配置类.class））
@ContextConfiguration(locations = "classpath:applicationContext.xml")
public class StudentServiceTest {

    @Autowired   //注入
    private StudentService studentService;

    @Test
    public void testFindAllStudent(){
        List<Student> allStudent = studentService.findAllStudent();
        allStudent.forEach(System.out::println);
    }
}
